<template>
  <form
    class="fr-container--fluid"
    @submit.prevent="onAddFollowUpType"
  >
    <div
      class="fr-grid-row fr-grid-row--gutters form-grid follow-up-type-form-row"
    >
      <AtomInput
        name="follow-up-type-name"
        label="Nouvelle aide"
        required
      />

      <div class="fr-col-3">
        <button
          class="fr-btn fr-btn--sm"
          type="submit"
        >
          Ajouter
        </button>
      </div>
    </div>
  </form>
</template>

<script setup>
  const emit = defineEmits(['addFollowUpType'])

  function onAddFollowUpType({ target }) {
    emit('addFollowUpType', target['follow-up-type-name'].value)
    target.reset()
  }
</script>

<style scoped>
  .follow-up-type-form-row {
    align-items: center;
  }
</style>
